Package io.vertx.rxjava.redis.client

## Class Request

- java.lang.Object
- - io.vertx.rxjava.redis.client.Request

-     public class Request
      extends Object

  Builder for Redis requests that will be encoded according to the RESP protocol. RESP was introduced in Redis 1.2 and became the standard way for talking with the Redis server in Redis 2.0.

  Redis protocol documentation states:

  > Clients send commands to a Redis server as a RESP Array of Bulk Strings.

  So all non String/Bulk types will be encoded to Bulk for convenience.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Request>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Request​(Request delegate)` |
    `Request​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Request` | `arg​(boolean arg)` | Adds a boolean encoded to string
    `Request` | `arg​(byte arg)` | Adds a byte encoded to string
    `Request` | `arg​(byte[] arg)` | Adds a byte array
    `Request` | `arg​(double arg)` | Adds a double encoded to string
    `Request` | `arg​(float arg)` | Adds a float encoded to string
    `Request` | `arg​(int arg)` | Adds a int encoded to string
    `Request` | `arg​(long arg)` | Adds a long encoded to string
    `Request` | `arg​(short arg)` | Adds a short encoded to string
    `Request` | `arg​(Buffer arg)` | Adds a String key argument
    `Request` | `arg​(JsonArray arg)` | Adds a JsonArray argument, the encoding will serialize the json as value0, value1, ...
    `Request` | `arg​(JsonObject arg)` | Adds a JsonObject argument, the encoding will serialize the json as key0, value0, key1, value1, ...
    `Request` | `arg​(String arg)` | Adds a String argument using UTF8 character encoding
    `Request` | `arg​(String arg, String enc)` | Adds a String using a specific character encoding argument
    `static Request` | `cmd​(Command command)` | Creates a new request.
    `static Request` | `cmd​(Command command, Object[] args)` | Creates a new request only with simple types of arguments: `Number`, `Boolean`, `String`, `byte[]` or .
    `Command` | `command()` | Get the Command that is to be used by this request.
    `boolean` | `equals​(Object o)` |
    `Request` | `getDelegate()` |
    `int` | `hashCode()` |
    `static Request` | `newInstance​(Request arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Request> __TYPE_ARG

  - ### Constructor Detail

    - #### Request

          public Request​(Request delegate)

    - #### Request

          public Request​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Request getDelegate()

    - #### cmd

          public static Request cmd​(Command command)

      Creates a new request. Requests can be reused to avoid GC.
      Parameters:
        `command` - the command to use
      Returns:
        a new request instance

    - #### arg

          public Request arg​(String arg)

      Adds a String argument using UTF8 character encoding
      Parameters:
        `arg` -
      Returns:
        self

    - #### arg

          public Request arg​(String arg,
                             String enc)

      Adds a String using a specific character encoding argument
      Parameters:
        `arg` -
        `enc` -
      Returns:
        self

    - #### arg

          public Request arg​(Buffer arg)

      Adds a String key argument
      Parameters:
        `arg` -
      Returns:
        self

    - #### arg

          public Request arg​(long arg)

      Adds a long encoded to string
      Parameters:
        `arg` -
      Returns:
        self

    - #### arg

          public Request arg​(boolean arg)

      Adds a boolean encoded to string
      Parameters:
        `arg` -
      Returns:
        self

    - #### arg

          public Request arg​(JsonObject arg)

      Adds a JsonObject argument, the encoding will serialize the json as key0, value0, key1, value1, ... keyN, valueN. This is a non-optimized serialization and will just use the string encoding of the values for non buffers.
      Parameters:
        `arg` -
      Returns:
        self

    - #### arg

          public Request arg​(JsonArray arg)

      Adds a JsonArray argument, the encoding will serialize the json as value0, value1, ... valueN. This is a non-optimized serialization and will just use the string encoding of the values for non buffers.
      Parameters:
        `arg` -
      Returns:
        self

    - #### command

          public Command command()

      Get the Command that is to be used by this request.
      Returns:
        the command.

    - #### cmd

          public static Request cmd​(Command command,
                                    Object[] args)

      Creates a new request only with simple types of arguments: `Number`, `Boolean`, `String`, `byte[]` or . Other kinds of arguments throw an exception.

      This factory reduces the GC pressure as it allocates the arguments array with the right size.

      Parameters:
        `command` - the command to use
        `args` - the fixed list of arguments
      Returns:
        a new request instance

    - #### arg

          public Request arg​(byte[] arg)

      Adds a byte array
      Parameters:
        `arg` -
      Returns:
        self

    - #### arg

          public Request arg​(int arg)

      Adds a int encoded to string
      Parameters:
        `arg` -
      Returns:
        self

    - #### arg

          public Request arg​(short arg)

      Adds a short encoded to string
      Parameters:
        `arg` -
      Returns:
        self

    - #### arg

          public Request arg​(byte arg)

      Adds a byte encoded to string
      Parameters:
        `arg` -
      Returns:
        self

    - #### arg

          public Request arg​(float arg)

      Adds a float encoded to string
      Parameters:
        `arg` -
      Returns:
        self

    - #### arg

          public Request arg​(double arg)

      Adds a double encoded to string
      Parameters:
        `arg` -
      Returns:
        self

    - #### newInstance

          public static Request newInstance​(Request arg)